<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@A13F=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@A1F5=DB</action>
      <action>maincpu.pb@A1F7=13</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Do not make the final line connection when the Styx is touching the line or the game may crash and it will cause gfx corruption</comment>
    <script state="on">
      <action>temp0 =maincpu.rb@C319</action>
      <action>temp1 =maincpu.rb@F3D5</action>
    </script>
    <script state="run">
      <action>maincpu.rb@C319=39</action> <!-- Sparkles etc -->
      <action>maincpu.rb@F3D5=00</action> <!-- Styx -->
    </script>
    <script state="off">
      <action>maincpu.rb@C319=temp0 </action>
      <action>maincpu.rb@F3D5=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A19C=1A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A19D=1A</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
